<?php

declare(strict_types=1);

namespace PpPhp\Core\Platform\Metadata\ValueObjects;

final class PlatformTag
{
    public function __construct(
        private readonly string $name,
        private readonly string $description = '',
        private readonly string $icon = '',
        private readonly string $color = ''
    ) {}

    public function name(): string
    {
        return $this->name;
    }
    public function description(): string
    {
        return $this->description;
    }
    public function icon(): string
    {
        return $this->icon;
    }
    public function color(): string
    {
        return $this->color;
    }

    public function toArray(): array
    {
        return [
            'name' => $this->name,
            'description' => $this->description,
            'icon' => $this->icon,
            'color' => $this->color,
        ];
    }
}
